%if 0%{?fedora}
%global with_doc 1
%endif

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%global with_python3 0
##Unfortunately, Sphinx-0.6.6 is not compatible
%global with_doc 0
%global python2_version 2.6
%endif

%if 0%{?rhel} && 0%{?rhel} > 6
%global with_python3 0
%global with_doc 1
%endif

%global pname usbtmc

Name: python-%{pname}
Version: 0.8
Release: 6%{?dist}
Summary: Python implementation of the USBTMC protocol
License: MIT
URL: http://alexforencich.com/wiki/en/python-%{pname}/start
Source0: https://github.com/python-ivi/python-%{pname}/archive/v%{version}.tar.gz#/python-%{pname}-%{version}.tar.gz
BuildArch: noarch

%description
Python USBTMC is a Python implementation of the
USBTMC instrument control protocol.

%package -n python3-%{pname}
Summary: Python implementation of the USBTMC protocol
%{?python_provide:%python_provide python3-%{pname}}

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-numpy
BuildRequires: python3-pyusb
BuildRequires: python3-sphinx
Requires:  python3-pyusb

%description -n python3-%{pname}
Python USBTMC is a Python implementation of the USBTMC instrument
control protocol.

%if 0%{?with_doc}
%package doc
Summary: HTML documentation of Python USBTMC

%description doc
HTML documentation of Python USBTMC.
%endif

%prep
%setup -q -n python-%{pname}-%{version}

%build
%py3_build

%install
%py3_install

%if 0%{?with_doc}
make man html -C doc
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 644 doc/_build/man/python%{pname}.1 %{buildroot}%{_mandir}/man1
rm -rf doc/_build/html/.buildinfo
%endif

%files -n python3-%{pname}
%doc README.md AUTHORS
%license COPYING
%{python3_sitelib}/%{pname}/
%{python3_sitelib}/*.egg-info/
%if 0%{?with_doc}
%{_mandir}/man1/*
%endif

%if 0%{?with_doc}
%files doc
%doc README.md AUTHORS doc/_build/html
%license COPYING
%endif

%changelog
* Fri Oct 12 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8-6
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 14 2018 Antonio Trande <sagitterATfedoraproject.org> - 0.8-2
- Use versioned Python2 packages

* Tue Nov 21 2017 Antonio Trande <sagitterATfedoraproject.org> - 0.8-1
- Update to 0.8

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.7-5
- Rebuild for Python 3.6

* Wed Aug 17 2016 Antonio Trande <sagitterATfedoraproject.org> - 0.7-4
- Rebuild for Python 3.5.2

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 22 2016 Antonio Trande <sagitterATfedoraproject.org> - 0.7-1
- Update to 0.7

* Sat Jan 09 2016 Antonio Trande <sagitterATfedoraproject.org> - 0.6-2
- License modified to MIT
- Fixed python2 package

* Fri Dec 25 2015 Antonio Trande <sagitterATfedoraproject.org> - 0.6-1
- initial build
